(function($) {

    $.la = $.la || {};

    $.extend(true, $.la,
        {
            modules:{
                la :{
                    modules:{
                        newsComment: {
                            active: true
                        }
                    }
                }
            },
            newsComment:{
                defaultFormText: 'Message',
                defaultFormTitle: 'Titre',
                urls:{
                    nb_comments: '/newscomments/nb_comments/',
                    add_comment: '/newscomments/add_comment/',
                    vote_comment: '/newscomments/vote_comment/',
                    list: '/newscomments/list_json/'
                },
                sort:{
                    popular: 'popularity',
                    recent: 'recent',
                    oldest: 'oldest'
                },
                options: {
                    sort: 'popularity',
                    answer_limit: 5,
                    comment_limit: 20
                },
                html: {
                    form_login: '<div class="bloc-connexion">'
                        + '<p>'
                        + '<a class="modal" href="/Club/login" rel="type=ajax&selector=#form-login-wrapper&nocontext=true&width=310&height=auto&pos=true&title=Connectez vous">Se connecter</a>'
                        + '<a href="/Club/Inscription">S\'inscrire</a>'
                        + '</p>'
                        + '</div>',
                    comment: '<li class="commentaire_item $sClass" id="commentaire_item_$commentID">'
                        + '<span>'
                        + '<div class="captcha" id="withCaptchaVote_comment_$commentID" style="display: none;">'
                        + '<span class="eval">'
                        + '<span class="close">×</span>'
                        + 'Pour valider votre &eacute;valuation, saississez ce code de s&eacute;curit&eacute; :'
                        + '<form onsubmit="return false;">'
                        + '<input type="hidden" id="captchaDisplayedVote_comment_$commentID" class="captchaDisplayedVote" value="false"/>'
                        + '<input type="hidden" id="id_comment_$commentID" value="$commentID" />'
                        + '<img id="imgCaptchaVote_comment_$commentID" width="80" height="20" src="" class="captcha"/>'
                        + '<input id="codesecuVote_comment_$commentID" type="text" value="" />'
                        + '<input type="submit" class="validVote btn-valider" value="" onsubmit="javascript:void(0);" />'
                        + '</form>'
                        + '</span>'
                        + '</div>'
                        + '<span class="fav like" rel="comment_$commentID">$nbLike</span>'
                        + '<span class="fav unlike" rel="comment_$commentID">$nbUnlike</span>'
                        + 'Par <span class="author">$login</span><br />'
                        + '<span class="date_comment">Post&eacute; le $date à $hour</span> -'
                        + '<a class="abus" target="_blank" href="http://www.contact-moderation.com/abuse.asp?origine=LJDCO&content_id=$commentID&language=fr">Signalez un abus</a>'
                        + '<span class="comment">'
                        + '<strong>$title</strong>'
                        + '$comment'
                        + '<span class="end"></span>'
                        + '</span>'
                        + '<span class="response btnAnswer" id="answer_$commentID" rel="$commentID">Répondre'
                        + '- <a href="javascript:void(0);" class="nb_answers" id="nb_answers_$commentID" rel="$commentID">$sLinkNbAnswers</a>'
                        + '</span>'
                        + '<input type="hidden" id="nb_answers_$commentID" value="$nbAnswers"/>'
                        + '<div id="comment_answers_$commentID" style="display: none; margin-top: 15px;">'
                        + '<div id="comment_answers_list_$commentID"><ul class="more_comments"></ul></div>'
                        + '<div class="link_more" style="text-align: right; padding: 10px 0 0 0;">&raquo; <a href="javascript:void(0);" id="btnMoreAnswers_$commentID">Plus de réponses</a></div>'
                        + '<div class="bloc-connexion-answer">'
                        + '<p><a rel="type=ajax&amp;selector=#form-login-wrapper&amp;nocontext=true&amp;width=310&amp;height=auto&amp;pos=true&amp;title=Connectez vous" href="/Club/login" class="modal">Connectez-vous</a> ou <a href="/Club/Inscription">inscrivez-vous</a> pour laisser un message</p>'
                        + '<div class="ajout-commentaire">'
                        + '<form id="formAnswer_$commentID" class="formReaction" method="post" action="javascript:return false;" name="formcomment">'
                        + '<input type="hidden" name="comment_id" value="$commentID"/>'
                        + '<input type="hidden" id="captchaDisplayedAnswer_$commentID" value="false"/>'
                        + '<ul>'
                        + '<li class="email"><input type="text" name="mail" id="c_email"></li>'
                        + '<li class="message"><textarea name="answer" id="textAreaAnswer_$commentID">Message</textarea></li>'
                        + '</ul>'
                        + '<div class="formAnswerCaptcha" id="withCaptcha_$commentID">'
                        + '<span style="display:none;">'
                        + 'Saississez ce code de s&eacute;curit&eacute; :'
                        + '<input type="hidden" id="captchaDisplayed_$commentID" class="captchaDisplayed" value="false"/>'
                        + '<img id="imgCaptcha_$commentID" width="80" height="20" src="" class="captcha"/>'
                        + '<input id="codesecu_$commentID" class="codeSecu" type="text" value="" />'
                        + '</span>'
                        + '<input type="submit" class="btn-valider captcha" name="c_submit" id="withoutCaptchaAnswer_$commentID" value="">'
                        + '</div>'
                        + '</form>'
                        + '<span class="clear"></span>'
                        + '</div>'
                        + '<input type="hidden" id="answerOffset_$commentID" value="0"/>'
                        + '<input type="hidden" id="answersDisplayed_$commentID" value="false"/>'
                        + '<input type="hidden" id="nbAnswers_$commentID" value="$nbAnswers" />'
                        + '</div>'
                        + '</span>'
                        + '</li>',
                    answer:'<li class="answer_item" id="answer_item_$parentCommentID_$commentID">'
                        + '<span>'
                        + '<div class="captcha" id="withCaptchaVote_answer_$parentCommentID_$commentID" style="display: none;">'
                        + '<span class="eval_answer">'
                        + '<span class="close">×</span>'
                        + 'Pour valider votre &eacute;valuation, saississez ce code de s&eacute;curit&eacute; :'
                        + '<form onsubmit="return false;">'
                        + '<input type="hidden" id="captchaDisplayedVote_answer_$parentCommentID_$commentID" class="captchaDisplayedVote" value="false"/>'
                        + '<input type="hidden" id="id_comment_id_$commentID" value="$parentCommentID" />'
                        + '<input type="hidden" id="id_answer_$parentCommentID_$commentID" value="$commentID" />'
                        + '<img id="imgCaptchaVote_answer_$parentCommentID_$commentID" width="80" height="20" src="" class="captcha"/>'
                        + '<input id="codesecuVote_answer_$parentCommentID_$commentID" type="text" value="" />'
                        + '<input type="submit" class="validVote btn-valider" value="" onsubmit="javascript:void(0);" />'
                        + '</form>'
                        + '</span>'
                        + '</div>'
                        + '<span class="fav_answer like" rel="answer_$parentCommentID_$commentID">$nbLike</span>'
                        + '<span class="fav_answer unlike" rel="answer_$parentCommentID_$commentID">$nbUnlike</span>'
                        + 'Par <span class="author">$login</span><br />'
                        + '<span class="date_comment">Post&eacute; le $date à $hour</span> -'
                        + '<a class="abus" target="_blank" href="http://www.contact-moderation.com/abuse.asp?origine=LJDCO&content_id=$commentID&language=fr">Signalez un abus</a>'
                        + '<span class="comment">'
                        + '$comment'
                        + '<span class="end"></span>'
                        + '</span>'
                        + '</span>'
                        + '</li>',
                    more_answer: '<div class="link_more" style="text-align: right; padding: 10px 0 10px 0;">'
                        + '<a href="javascript:void(0);" id="btnMoreAnswers_$commentID" class="more-answers">Plus de réponses</a>'
                        + '</div>'
                },
                init:function(iObjectId, sClassIdentifier, aOptions) {
                    this.validCaptcha = false;
                    this.objectId = iObjectId;
                    this.classIdentifier = sClassIdentifier;
                    $.extend(true, $.la.newsComment.options, aOptions);

                    this._updateNbComments(iObjectId, 0);

                    // Display form
                    if (_.userLogged) {
                        $('.bloc-connexion p').hide();
                        $('.ajout-commentaire').show();
                        $('.ajout-commentaire a.validComment').bind('click', $.la.newsComment._sendComment);
                    }

                    // Bind like/unlike button
                    $('.like').bind('click', function() {$.la.newsComment._displayCaptchaVote($(this).attr('rel'), 'like')});
                    $('.unlike').bind('click', function() {$.la.newsComment._displayCaptchaVote($(this).attr('rel'), 'unlike')});

                    // Bind close button for captcha
                    $('.close').bind('click', function() {$.la.newsComment._hideCaptchaVote($(this).attr('rel'))});

                    $('.btnAnswer').bind('click', function() {$.la.newsComment._btnAnswerClick($(this).attr('rel'))});

                    $('#btnMoreComments').bind('click', function() {$.la.newsComment._goToOffsetComments()});

                    // Reset form
                    $('#title').unbind('click');
                    $('#title').bind('click', function() {
                        if ($('#title').val() == $.la.newsComment.defaultFormTitle) {
                            $('#title').val('');
                        }
                    });

                    $('#message').unbind('click');
                    $('#message').bind('click', function() {
                        if ($('#message').html() == $.la.newsComment.defaultFormText) {
                            $('#message').html('');
                        }

                        if ($('#captchaDisplayed').val() == 'false') {
                            var img = document.getElementById('imgCaptcha');
                            img.src = '/captcha/captchaShow?width=80&height=20&t=' + Math.floor((new Date()).getTime() / 1000);
                            $('#withCaptcha span').show();
                            $('#withoutCaptcha').hide();
                            $('#captchaDisplayed').val('true');
                        }
                    });

                    $('.btn-valider').bind('click', function() {$.la.newsComment._sendAnswer($(this).attr('rel'), 'comment')});

                    // bind des onglets populaires/récents/anciens
                    $('#popular').bind('click', function() {$.la.newsComment._displayTab('popular', $.la.newsComment.sort.popular)});
                    $('#recent').bind('click', function() {$.la.newsComment._displayTab('recent', $.la.newsComment.sort.recent)});
                    $('#oldest').bind('click', function() {$.la.newsComment._displayTab('oldest', $.la.newsComment.sort.oldest)});

                },
                _updateNbComments: function(iObjectID, iParentCommentID) {
                    if (iObjectID != null) {
                        var url = $.la.newsComment.urls.nb_comments + iObjectID;
                        if ((iParentCommentID != null) && (iParentCommentID > 0)) {
                            url += '/' + iParentCommentID;
                        }

                        $.ajax({
                            url: url,
                            async: true,
                            datatype:'json',
                            success: function(result) {
                                var res = eval('(' + result + ')');
                                if (typeof res.errors == 'undefined') {
                                    if (res.parent_comment_id == 0) {
                                        if ($('a.nombre_reactions').length > 0) {
                                            $('a.nombre_reactions').html(res.count);
                                        }

                                        if (res.count == 0) {
                                            $('.bloc-comments').hide();
                                        }
                                    }
                                }
                            }
                        });
                    }
                },
                _displayCaptchaVote: function(idComment, modeVote) {
                    if ($('#captchaDisplayedVote_' + idComment).val() == 'false') {
                        //Génération du captcha
                        var img = document.getElementById('imgCaptchaVote_' + idComment);
                        img.src = '/captcha/captchaShow?width=90&height=22&t=' + Math.floor((new Date()).getTime() / 1000);
                        $('#captchaDisplayedVote_' + idComment).val('true');
                    }
                    $('#codesecuVote_' + idComment).unbind('keydown');
                    $('#codesecuVote_' + idComment).bind('keydown', {idComment:idComment, modeVote:modeVote}, function(event) {
                        if (event.type == "keydown" && event.which == 13) {
                            $.la.newsComment._addVote(event.data.idComment, event.data.modeVote);
                        }
                    });

                    $('div.captcha:visible').hide();
                    //$('.commentaire_item .commentaire_itemBloc, .commentaire_item .reponse_item, .commentaire_item .captcha, .commentaire_item .like, .commentaire_item .unlike').css({zIndex:'0'});
                    if (idComment.match(/answer_/) != null) {
                        var aIDs = idComment.split('_');
                        $('#comment_answers_' + aIDs[1] + ' li').css('z-index', 0);
                        $('li#answer_item_' + aIDs[1] + '_' + aIDs[2]).css('z-index', '');
                        $('#withCaptchaVote_' + idComment).css('z-index', 1);
                    }
                    else {
                        $('#withCaptchaVote_' + idComment).parent().css('z-index', 1);
                        $('#withCaptchaVote_' + idComment).parent().parent().css('z-index', 1);
                    }
                    $('#withCaptchaVote_' + idComment).show();
                    $('#withCaptchaVote_' + idComment + ' input.validVote').unbind('click');
                    $('#withCaptchaVote_' + idComment + ' input.validVote').bind('click', function() {
                        $.la.newsComment._addVote(idComment, modeVote);
                    });
                },
                _hideCaptchaVote: function(idComment) {
                    $('#captchaDisplayedVote_' + idComment).val('false');
                    $('div.captcha:visible').hide();
                    $('#withCaptchaVote_' + idComment).hide();
                },
                _addVote:function(itemRel, sModeVote) {
                    var sCaptcha = $('#codesecuVote_' + itemRel).val();
                    var iCommentID = $('#id_' + itemRel).val();
                    var iID = iCommentID;

                    if (itemRel.match(/answer_/) != null) {
                        var iParentID = $('#id_comment_id_' + iCommentID).val();
                        var iID = iParentID + '_' + iCommentID;

                        var sSelector = '#answer_item_' + iID + ' span.' + sModeVote;
                        var sSelectorFav = '#answer_item_' + iID + ' .fav_answer';
                        var sSelectorEval = '#answer_item_' + iID + ' .eval_answer';
                    }
                    else {
                        var sSelector = '#commentaire_item_' + iID + ' span.' + sModeVote;
                        var sSelectorFav = '#commentaire_item_' + iID + ' .fav';
                        var sSelectorEval = '#commentaire_item_' + iID + ' .eval';
                    }

                    if (sCaptcha != '') {
                        var sUrlCaptcha = '/captcha/captchaAjaxValid/' + sCaptcha;
                        $.ajax({
                            url: sUrlCaptcha,
                            type: "GET",
                            async: false,
                            success: function(ajax){
                                if(ajax.match(/\d/) == '0'){
                                    alert('le code de securite saisi est incorrect');
                                }
                                else {
                                    var sUrl = $.la.newsComment.urls.vote_comment + iCommentID + '/' + sModeVote;
                                    $.ajax({
                                        url:sUrl,
                                        async:false,
                                        datatype:'json',
                                        success:function (result) {
                                            var res = eval('(' + result + ')');
                                            if (typeof res.errors != 'undefined') {
                                                alert('Une erreur s\'est produite. Veuillez recommencer.');
                                            }
                                            else if (typeof res.notice != 'undefined') {
                                                var iOldVal = parseInt($(sSelector).html());
                                                $(sSelector).html(iOldVal + 1);
                                                $(sSelectorFav).addClass('off');
                                                $(sSelectorEval).remove();
                                                $('#captchaDisplayedVote_' + iID).val('false');
                                                $('#codesecuVote_' + iID).val('');
                                            }
                                        }
                                    });
                                }
                            }
                        });
                    }
                    else {
                        alert('Vous n\'avez pas saisi le code de sécurité');
                    }
                },
                _btnAnswerClick: function(idComment) {
                    if($('#comment_answers_' + idComment).is(':hidden')) {
                        $('#commentaire_item_' + idComment).addClass('commentaire_itemOn');

                        if (_.userLogged) {
                            $('#withoutCaptchaAnswer_' + idComment).removeClass('off');
                            $('.ajout-commentaire a.validComment').bind('click', $.la.newsComment._sendComment);
                            $('#comment_answers_' + idComment + ' .bloc-connexion-answer p').hide();
                        }
                        else {
                            $('#comment_answers_' + idComment + ' .bloc-connexion-answer').show();
                            $('#comment_answers_' + idComment + ' .ajout-commentaire').hide();
                        }

                        $('#answer_' + idComment).css({ 'background-position' : '-12px -228px' });
                        var nbAnswers = $('#nbAnswers_' + idComment).val();

                        var btnAnswerHtml = 'Votre réponse';
                        if (nbAnswers > 0) {
                            btnAnswerHtml += '- <a href="javascript:void(0);" class="nb_answers" id="nb_answers_' + idComment + '" rel="' + idComment + '">';
                            btnAnswerHtml += nbAnswers + 'r&eacute;ponse';
                            if (nbAnswers > 1) {
                                btnAnswerHtml += 's';
                            }
                            btnAnswerHtml += '</a>';
                        }
                        $('#comment_answers_' + idComment + ' .btnAnswer').html(btnAnswerHtml);

                        //$('#commentaire_item_' + idComment + ' ul.more_comments').slideDown(200);
                        $('#comment_answers_' + idComment).show();
                        if (nbAnswers > 0) {
                            $.la.newsComment.goToOffsetAnswer(idComment, $('#answerOffset_' + idComment).val());
                        }
                        $('#comment_answers_' + idComment + '.ajout-commentaire').addComment();


                        $('#textAreaAnswer_' + idComment).unbind('click');
                        $('#textAreaAnswer_' + idComment).bind('click', function() {
                            if ($('#textAreaAnswer_' + idComment).html() == $.la.newsComment.defaultFormText) {
                                $('#textAreaAnswer_' + idComment).html('');
                            }

                            if ($('#captchaDisplayed_' + idComment).val() == 'false') {
                                var img = document.getElementById('imgCaptcha_' + idComment);
                                img.src = '/captcha/captchaShow?width=80&height=20&t=' + Math.floor((new Date()).getTime() / 1000);
                                $('#withCaptcha_' + idComment + ' span').show();
                                $('#captchaDisplayed_' + idComment).val('true');
                            }
                        });

                        $('#codesecuAnswer_' + idComment).unbind('keydown');
                        $('#codesecuAnswer_' + idComment).bind('keydown', function(event) {
                            if (event.type == "keydown" && event.which == 13) {
                                $.la.newsComment._sendAnswer(idComment, 'answer');
                            }
                        });
                        $('#formAnswer_' + idComment + ' input.btn-valider').unbind('click');
                        $('#formAnswer_' + idComment + ' input.btn-valider').bind('click', function() {
                            $.la.newsComment._sendAnswer(idComment, 'answer');
                        });

                        if (nbAnswers > 0 && $('#answersDisplayed_' + idComment).val() == 'false') {
                            $('#comment_answers_list_' + idComment).show();
                            $('#answersDisplayed_' + idComment).val('true');
                            $('.link_more').bind('click', function() {$.la.newsComment.goToOffsetAnswer(idComment, $('#answerOffset_' + idComment).val())});
                        }
                        else {
                            $('#comment_answers_' + idComment + ' .link_more').hide();
                        }
                    }
                    else{
                        $(this).html('Répondre');
                        $('#answer_' + idComment).css({ 'background-position' : '-12px -54px' });
                        $('#comment_answers_' + idComment).children('.ajout-commentaire').remove();

                        $('#comment_answers_' + idComment).slideUp(200);
                        $('#comment_answers_' + idComment + ' .more_comments').html('');
                        $('#answersDisplayed_' + idComment).val('false');
                        $('#answerOffset_' + idComment).val(0);
                        $('#commentaire_item_' + idComment).removeClass('commentaire_itemOn');
                    }

                    return false;
                },
                _goToOffsetComments: function() {
                    var iObjectID = this.objectId;
                    var nbComments = $('#iNbComment_' + iObjectID).val();
                    if (nbComments <= $.la.newsComment.options.comment_limit) {
                        $('.moreComments').hide();
                    }

                    var offset = $('#iCommentOffset_' + iObjectID).val();
                    var url = $.la.newsComment.urls.list + '(id)/' + iObjectID + '/(limit)/' + $.la.newsComment.options.comment_limit + '/(offset)/' + offset + '/(sort)/' + $.la.newsComment.options.sort;
                    $.ajax({
                        url: url,
                        success: function(result) {
                            var res = result;
                            if (typeof res.errors != 'undefined') {
                                alert('Une erreur s\'est produite. Veuillez recommencer.');
                            }
                            else {
                                var iNbDisplayed = parseInt(offset) + $.la.newsComment.options.comment_limit;
                                $('#iCommentOffset_' + iObjectID).val(iNbDisplayed);

                                var sHTML = '';
                                $.each(res, function(index, oComment) {
                                    var sClass = (index % 2) ? 'even' : '';
                                    sHTML += $.la.newsComment._getTemplateHTML('comment', oComment, sClass);
                                });

                                if (iNbDisplayed >= nbComments) {
                                    $('#btnMoreComments').hide();
                                }

                                $('.comment-list').append(sHTML);

                                $('.btnAnswer').unbind('click');
                                $('.btnAnswer').bind('click', function() {$.la.newsComment._btnAnswerClick($(this).attr('rel'))});

                                $('#btnMoreComments').unbind('click');
                                $('#btnMoreComments').bind('click', function() {$.la.newsComment._goToOffsetComments()});

                                // Bind like/unlike button
                                $('.like').unbind('click');
                                $('.like').bind('click', function() {$.la.newsComment._displayCaptchaVote($(this).attr('rel'), 'like')});
                                $('.unlike').unbind('click');
                                $('.unlike').bind('click', function() {$.la.newsComment._displayCaptchaVote($(this).attr('rel'), 'unlike')});
                            }
                        }
                    });
                },
                goToOffsetAnswer:function(idComment, offset) {
                    var nbAnswers = $('#nbAnswers_' + idComment).val();
                    $('#answerOffset_' + idComment).val(offset);
                    var url = $.la.newsComment.urls.list + '(id)/' + this.objectId + '/(parent_id)/' + idComment + '/(limit)/' + $.la.newsComment.options.answer_limit + '/(offset)/' + offset;
                    $.ajax({
                        url: url,
                        success: function(result) {
                            var res = result;
                            if (typeof res.errors != 'undefined') {
                                alert('Une erreur s\'est produite. Veuillez recommencer.');
                            }
                            else {
                                var iNbAnswersDisplayed = parseInt($('#answerOffset_' + idComment).val()) + $.la.newsComment.options.answer_limit;
                                $('#answerOffset_' + idComment).val(iNbAnswersDisplayed);

                                var sHTML = '';
                                $.each(res, function(index, oComment) {
                                    sHTML += $.la.newsComment._getTemplateHTML('answer', oComment, '');
                                });

                                if (iNbAnswersDisplayed < nbAnswers) {
                                    if ($('#comment_answers_' + idComment + ' .link_more').is(':hidden')) {
                                        $('#comment_answers_' + idComment + ' .link_more').show();
                                    }
                                    else {
                                        sHTML += $.la.newsComment.html.more_answer.replace(/\$commentID/g, idComment);
                                    }
                                }
                                else {
                                   $('#comment_answers_' + idComment + ' .link_more').hide();
                                }

                                $('#comment_answers_' + idComment).show();
                                $('#comment_answers_' + idComment + ' .more_comments').append(sHTML);
                                if ($('#nb_answers_' + idComment).val() <= (parseInt($.la.newsComment.options.answer_limit) + parseInt($('#answerOffset_' + idComment).val()))) {
                                    $('#btnMoreAnswers_' + idComment).unbind('click');
                                    $('#btnMoreAnswers_' + idComment).parent().hide();
                                    $('#comment_answers_' + idComment + ' .more_comments .sepa_liste:last').hide();
                                } else {
                                    $('#btnMoreAnswers_' + idComment).unbind('click');
                                    $('#btnMoreAnswers_' + idComment).bind('click', {idComment:idComment}, function(event) {
                                        newOffset = parseInt($('#answerOffset_' + event.data.idComment).val()) + parseInt($.la.newsComment.options.answer_limit);
                                        $.la.newsComment.goToOffsetAnswer(event.data.idComment, newOffset);
                                    });
                                    $('#btnMoreAnswers_' + idComment).parent().show();
                                }

                                // Bind like/unlike button
                                $('.like').unbind('click');
                                $('.like').bind('click', function() {$.la.newsComment._displayCaptchaVote($(this).attr('rel'), 'like')});
                                $('.unlike').unbind('click');
                                $('.unlike').bind('click', function() {$.la.newsComment._displayCaptchaVote($(this).attr('rel'), 'unlike')});
                            }
                        }
                    });
                },
                _getTemplateHTML: function(sType, oObj, sClass) {
                    var sHTML = '';
                    if (sType == 'answer') {
                        sHTML = $.la.newsComment.html.answer;
                    }
                    else if (sType == 'comment') {
                        sHTML = $.la.newsComment.html.comment;
                        sHTML = sHTML.replace(/\$title/g, oObj.title);
                        sHTML = sHTML.replace(/\$nbAnswers/g, oObj.nb_answers);

                        var sLinkNbAnswers = '';
                        if (oObj.nb_answers > 0) {
                            sLinkNbAnswers = oObj.nb_answers;
                            if (oObj.nb_answers > 1) {
                                sLinkNbAnswers += ' réponses';
                            }
                            else {
                                sLinkNbAnswers += ' réponse';
                            }
                        }

                        sHTML = sHTML.replace(/\$sLinkNbAnswers/g, sLinkNbAnswers);

                        sHTML = sHTML.replace(/\$sClass/g, sClass);
                    }

                    sHTML = sHTML.replace(/\$date/g, oObj.formatted_date);
                    sHTML = sHTML.replace(/\$hour/g, oObj.formatted_hour);
                    sHTML = sHTML.replace(/\$nbLike/g, oObj.nb_like);
                    sHTML = sHTML.replace(/\$nbUnlike/g, oObj.nb_unlike);
                    sHTML = sHTML.replace(/\$login/g, oObj.user_login);
                    sHTML = sHTML.replace(/\$parentCommentID/g, oObj.parent_comment_id);
                    sHTML = sHTML.replace(/\$commentID/g, oObj.comment_id);
                    sHTML = sHTML.replace(/\$comment/g, oObj.comment);

                    return sHTML;
                },
                _displayTab: function(sMode, sSort) {
                    $.la.newsComment.options.sort = sSort;
                    $.la.newsComment._currentOffset = 0;
                    $('.bloc-comments span').removeClass('active');
                    $('#' + sMode).addClass('active');
                    $('ul.comment-list').html('');
                    $('#iCommentOffset_' + this.objectId).val(0);
                    $.la.newsComment._goToOffsetComments();
                },
                _sendAnswer: function(iIdComment, sType) {
                    var sTextAreaValue = '';
                    var sTitleValue = '';
                    var sCaptcha = '';

                    if (sType == 'answer') {
                        sTextAreaValue = $('#textAreaAnswer_' + iIdComment).val();
                        sCaptcha = $('#codesecu_' + iIdComment).val();
                    }
                    else if (sType == 'comment') {
                        sTextAreaValue = $('#message').val();
                        sTitleValue = $('#title').val();
                        sCaptcha = $('#codesecu').val();
                    }

                    if ((sTextAreaValue != '') && (sTextAreaValue != $.la.newsComment.defaultFormText)) {
                        if ((typeof sCaptcha == 'undefined') || (sCaptcha == '')) {
                            alert('Le code de sécurité saisi est incorrect.');
                        }
                        else {
                            var sUrl = '/captcha/captchaAjaxValid/' + sCaptcha;
                            $.ajax({
                                url: sUrl,
                                type: "GET",
                                async: false,
                                success: function(ajax){
                                    if(ajax.match(/\d/) == '0'){
                                        alert('le code de securite saisi est incorrect');
                                    }
                                    else {
                                        $.la.newsComment._addAnswer(iIdComment, sType, sTextAreaValue, sTitleValue);
                                    }
                                }
                            });
                        }
                    }
                    else {
                        alert('Vous n\'avez pas saisi de commentaire');
                    }
                },
                _addAnswer:function(idComment, sType, sText, sTitle) {
                    var sUrl = $.la.newsComment.urls.add_comment + '(id)/' + this.objectId;
                    if (sType == 'answer') {
                        sUrl +=  '/(parent_id)/' + idComment;
                    }

                    $.ajax({
                        url: sUrl,
                        async: true,
                        type: "POST",
                        data: {
                            add:'add',
                            comment: sText,
                            title: sTitle
                        },
                        success: function(result) {
                            var res = eval('(' + result + ')');
                            if (typeof res.errors != 'undefined') {
                                alert('Une erreur s\'est produite. Veuillez recommencer.');
                            }
                            else if (typeof res.notice != 'undefined') {
                                var html = '<ul id="commentReturn" class="valid"><li>Votre commentaire a bien &eacute;t&eacute; ajout&eacute;, il sera affich&eacute; apr&egrave;s mod&eacute;ration.</li></ul>';

                                if (sType == 'answer') {
                                    $('#answer_' + idComment).hide();
                                    $('#comment_answers_' + idComment + ' .bloc-connexion-answer').before(html);
                                    $('#comment_answers_' + idComment + ' ul#commentReturn').delay(2000).fadeOut();
                                    $('#comment_answers_' + idComment + ' .bloc-connexion-answer').remove();
                                }
                                else if (sType == 'comment') {
                                    $('.bloc-connexion').html(html);
                                    $('.bloc-connexion').delay(2000).fadeOut();
                                }
                            }

                            $('#formAnswer_' + res.id_comment).show();
                        }
                    });
                }
            }
        });
})(jQuery);
